# calculates binary acoustic horizon
# (c) dimitrij mlekuz 2002
# released under GPL
#
# binary_horizon.sh db_at_10m freq  distancemap maekawamap outmap
#                          $1             $2    $3              $4                 $5
#
# where:
# *db_at_10m is scalar, intensivity in dB at the distance 10m
#   from sound source
# *freq is scalar, wave length in m
# *distancemap is raster, ususally result of d3d.sh
# *maekawamap is raster, ususally result of raytrace.sh

#calc. propagation
r.mapcalc <<EOF
  db=$1-20*log(exp($3/10,2),10)
EOF


#calculate attenuation by maekawa method
r.mapcalc <<EOF
  att=10*log(3+40*$4/$2,10)
EOF

#only positive values please
r.mapcalc <<EOF
  $5=if(db-att,1,0,0)
EOF