#!/usr/bin/perl -w
# calculates fuzzy acoustic horizont where
# loudness varies from 80% to 120% with step 2 and
# wave length varies from 80% to 120% with step 0.1
# (c) dimitrij mlekuz 2002
# released under GPL
#
# fuzzy_horizon db_at_10m freq  distancemap maekawamap outmap
#                     $1              $2    $3              $4                 $5
#
# where:
# *db_at_10m is scalar, loudness in db at the distance 10m
#   from sound source [dB]
# *freq is scalar, wave length [m]
# *distancemap is raster, usually result of d3d.sh
# *maekawamap is raster, usually result of raytrace.sh

$noa=@ARGV;
if($noa!=5) { die "Usage: fuzzy_horizon.pl loud freq distancemap maekawamap outmap\n"; }

$ldn=$ARGV[0];
$frq=$ARGV[1];
$dist=$ARGV[2];
$maek=$ARGV[3];
$out=$ARGV[4];


system './_init.sh';

for($freq=0.8*$frq;$freq<1.2*$frq;$freq+=0.1){
    for($loud=0.8*$ldn;$loud<1.2*$ldn;$loud+=2){
	 system './binary_horizon.sh',$loud,$freq,$dist,$maek, "horizont.tmp";
	 system './_helper.sh';
    }
}


system "g.rename rast=fuzzy.tmp,$out";
system "g.remove rast=fuzzy.tmp,fuzzy1.tmp,horizont.tmp";